Skip to main content
Get Job adoption metrics
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/metrics/adoption_metrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "queries": [
    {
      "query_id": "query-id",
      "filters": [
        {
          "filter": "attribute",
          "operator": "eq",
          "attribute_value": "abc-123"
        }
      ]
    }
  ]
}
'
{ "results": [ { "query_id": "query-123-abc", "metrics": { "domains": [ { "domain_name": "IT", "external_id": "abdcde-domain", "skill_clusters": [ { "external_id": "abdcde-cluster", "skill_cluster_name": "Software Engineering", "skills": [ { "skill_id": "abcde-skill-1", "skill_name": "Automated Testing", "unique_job_count": 1 } ], "sum_job_skill_count": 1, "unique_skill_count": 1, "unique_job_count": 1 } ], "sum_job_skill_count": 1, "unique_skill_count": 1, "unique_job_count": 1 } ], "skills_outside_taxonomy": { "skills": [ { "skill_id": "abcde-skill-2", "skill_name": "Software Debugging", "unique_job_count": 15 } ], "sum_job_skill_count": 15, "unique_skill_count": 1, "unique_job_count": 15 }, "sum_job_skill_count": 16, "unique_skill_count": 2, "unique_job_count": 16, "total_job_skill_count": 16 } } ] }

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to use for the returned metrics. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Body

application/json

List of adoption metric queries. Each query corresponds with adoption metrics aggregated across the requested collection of objects.

queries
object[]
required

Response

OK

Response structure for Job Architecture Metrics. Metrics are expressed in the structure of your Taxonomy. When a Skill is not represented in the Taxonomy, it will be included in the "Skills outside of the Taxonomy" Domain.

results
job_architecture_metrics · object[]
required

A list of metrics related to the requested collection of Jobs.